Bug 539939 - Segfault in xf86freeInputList() whilst running nvidia-config-display
Segfault in xf86freeInputList() whilst running nvidia-config-display
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:1f895350aef1b48feb9ebeb6a71...
:
: 543550 552447 645794 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 12:22 EST by piio
Modified: 2010-11-10 05:36 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 05:36:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.62 KB, text/plain)
2009-11-21 12:22 EST, piio
no flags Details

  None (edit)
Description piio 2009-11-21 12:22:51 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python -tt /usr/sbin/nvidia-config-display
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-127.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 11
Comment 1 piio 2009-11-21 12:22:53 EST
Created attachment 372772 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-11-21 12:37:54 EST
Thanks for filing this bug report.

How reproducable is this problem?

Looking at the backtrace, it appears there was a segfault trying to free a block of memory, within xf86freeInputList() in /usr/lib64/python2.6/site-packages/ixf86configmodule.so

I'm reassigning the component from "python" to "pyxf86config", which I believe provides that module (do we ship usr/sbin/nvidia-config-display?  I'm not familiar with that code)

The maintainer of that code will probably want to know the output of:
  rpm -q pyxf86config
and of:
  rpm -qf /usr/sbin/nvidia-config-display

Unfortunately, the stack trace is not as useful as it could be in determining the cause of the crash, because it is only a partial symbolic stack trace. In order to get a more full symbolic stack trace, the appropriate debuginfo packages need to be installed. In order to accomplish this, you can run the command:

  debuginfo-install pyxf86config

Thanks!
Comment 3 Dave Malcolm 2009-11-21 12:42:02 EST
Also: if you the command from a terminal, is anything printed?

Looking at the backtrace, it looks like (in frame 10) that the python interpreter is bailing out, with an unhandled exception from the code; the segfault is happening during the cleanup after printing the (python-level) traceback from whatever error is occurring.
Comment 4 Dave Malcolm 2009-11-21 12:42:44 EST
(In reply to comment #3)
> Also: if you the command from a terminal, is anything printed?
"...if you run the command...", this should have read; sorry.
Comment 5 piio 2009-11-22 04:21:16 EST
Problem is reproducable, after any attempt to run nvidia-config-display, i have core dumped.
In terminal after running this command i got only 'Naruszenie ochrony pamięci (core dumped)"

rpm -q pyxf86config
pyxf86config-0.3.37-7.fc12.x86_64

rpm -qf /usr/sbin/nvidia-config-display
xorg-x11-drv-nvidia-190.42-1.fc11.x86_64
Comment 6 Dave Malcolm 2009-12-02 11:09:44 EST
*** Bug 543550 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2010-11-01 11:35:03 EDT
*** Bug 552447 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2010-11-01 11:35:31 EDT
*** Bug 645794 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2010-11-04 01:49:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bradley 2010-11-06 08:56:45 EDT
Was still happening in 13. Can't test F14 because of another bug
Comment 11 Bradley 2010-11-10 05:36:12 EST
Fixed in F14, it appears (pyxf86config-0.3.37-10.fc14.x86_64)

Note You need to log in before you can comment on or make changes to this bug.